<?php

class Observacion extends CActiveRecord
{
	
	public function tableName()
	{
		return 'observacion';
	}

	public function rules()
	{
		
		return array(
			array('obs_fecha', 'required'),
			array('doc_codigo, revisar_codigo', 'numerical', 'integerOnly'=>true),
			array('obs_titulo', 'length', 'max'=>50),
			array('obs_descripcion', 'length', 'max'=>400),
			array('obs_ruta', 'length', 'max'=>300),
			// The following rule is used by search().
			// @todo Please remove those attributes that should not be searched.
			array('obs_codigo, obs_titulo, obs_descripcion, obs_fecha, obs_ruta, doc_codigo, revisar_codigo', 'safe', 'on'=>'search'),
		);
	}

	public function relations()
	{
		return array(
				'revisarNombre' => array(self::BELONGS_TO, 'RevisarDoc', 'revisar_codigo'),
		);
	}

	public function attributeLabels()
	{
		return array(
			'obs_codigo' => 'Obs Codigo',
			'obs_titulo' => 'Titulo Observación',
			'obs_descripcion' => 'Descripción',
			'obs_fecha' => 'Obs Fecha',
			'obs_ruta' => 'Obs Ruta',
			'doc_codigo' => 'Doc Codigo',
			'revisar_codigo' => 'Revisar Codigo',
		);
	}

	public function search()
	{
		$criteria=new CDbCriteria;

		$criteria->compare('obs_codigo',$this->obs_codigo);
		$criteria->compare('obs_titulo',$this->obs_titulo,true);
		$criteria->compare('obs_descripcion',$this->obs_descripcion,true);
		$criteria->compare('obs_fecha',$this->obs_fecha,true);
		$criteria->compare('obs_ruta',$this->obs_ruta,true);
		$criteria->compare('doc_codigo',$this->doc_codigo);
		$criteria->compare('revisar_codigo',$this->revisar_codigo);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public function getDbConnection()
	{
		return Yii::app()->db_gd;
	}

	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
